@import url('https://fonts.googleapis.com/css2?family=Changa+One:ital@0;1&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;

}

body {
    font-family: "Montserrat";
    background: #272727;
    color: #eee;
    padding: 1rem 0;
    display: grid;
    gap: 2rem;
}

.portfolio-header {
    display: flex;
    /* text-decoration: underline; */
    justify-content: space-between;
    align-items: center;
    padding: .7rem 2rem;
    border-bottom: 1px solid #fff;
    gap: 1rem;
    position: fixed;
    background: transparent;
    backdrop-filter: blur(4px);
    width: 100%;
    z-index: 100;

}

.logo {
    font-size: 3rem;
    font-family: "Changa One", sans-serif;
    line-height: 1.6rem;
    text-transform: uppercase;
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    opacity: 0.7;
    transition: 0.2s all ease;
}

.logo:hover {
    opacity: 1;
    text-shadow: 0 0 2px #fff;
}

.logo span {
    font-size: 1rem;
}


.nav {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.nav-links {
    text-decoration: none;
    color: #eee;
    opacity: 0.7;
    text-transform: uppercase;
    cursor: pointer;
    transition: 0.2s all ease;
}

.nav-links:hover {
    transform: translateY(-2px);
    opacity: 1;
    scale: 1.1;
    font-weight: 600;
}

.portfolio-hero {
    margin-top: 1rem;
    height: 80vh;
    display: flex;
    padding: 0 2rem;
    justify-content: space-between;
}

.hero-detail {
    font-size: 2rem;
    flex: 1;
    margin: auto 0;
}

.detail-main span {
    display: block;
    font-size: 6rem;
    font-family: "Changa One", sans-serif;

}

.hero-detail p {
    opacity: 0.7;
    font-size: 1.3rem;
    text-transform: uppercase;
}

.hero {
    width: 37rem;
}

.hero img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transform: scale(0.8);
    object-fit: cover;
}


.portfolio-exp {
    height: 60vh;
    padding: 2rem;

}

.experience-heading {
    font-family: "Changa One", sans-serif;
    font-size: 4rem;
    transition: 0.2s ease all;
    text-decoration: underline;
    display: inline-block;
    cursor: pointer;
    opacity: 0.7;
}

.experience-heading:hover {
    opacity: 1;
}

.sub-experience {
    opacity: 0.7;
    font-size: 1.3rem;
    text-transform: uppercase;
}

.experience {
    /* border: 1px solid red; */
    display: flex;
    margin-top: 3rem;
    /* margin: 0 auto; */
    justify-content: center;
    align-items: center;
}

.experience-list {
    border-left: 1px solid #fff;
    display: flex;
    padding: 1rem 0 1rem 4rem;
    flex-direction: column;
    gap: 2rem;

}

.experience-card {
    width: 30rem;
    padding: 2rem;
    border-radius: 8px;
    transition: 0.2s all ease;
    cursor: pointer;
    background: #161616;
    /* box-shadow: 0 4px 10px #fff; */
}

.experience-card:hover {
    border: 1px solid white;
    box-shadow: 0 4px 20px #fff;
    transform: translateY(-2px);
    background: #232323;

}

.card-head {
    display: flex;
    gap: 1rem;
    justify-content: space-between;
    align-items: center;
}

.card-head h4 {
    font-size: 1.5rem;
}

.card-head p {
    opacity: 0.7;
}

.exp-detail {
    margin-top: 1rem;
    opacity: 0.7;

}

.portfolio-projects {
    height: 60vh;
    /* border: 1px solid white; */
    padding: 2rem;
}

.project-heading {
    font-family: "Changa One", sans-serif;
    font-size: 4rem;
    text-decoration: underline;
    transition: 0.2s ease all;
    display: inline-block;
    cursor: pointer;
    opacity: 0.7;
}

.project-heading:hover {
    opacity: 1;
}

.sub-project {
    opacity: 0.7;
    font-size: 1.3rem;
    text-transform: uppercase;

}

.projects {
    margin-top: 3rem;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(24rem, 1fr));
    gap: 2rem;
}

.project-card {
    /* border: 1px solid white; */
    padding: 1rem 2rem;
    background: #161616;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    transition: 0.2s ease all;
    cursor: pointer;
}

.project-card:hover {
    border: 1px solid white;
    box-shadow: 0 4px 20px #fff;
    background: #232323;
    transform: translateY(-2px);

}

.project-title {
    font-size: 1.5rem;
}

.project-detail {
    opacity: 0.7;
}

.portfolio-contact {
    height: 30vh;
    background: #fafafa;
    color: #222;
    padding: 2rem;
}

.contact-heading {
    font-family: "Changa One", sans-serif;
    font-size: 4rem;
    text-decoration: underline;
    transition: 0.2s ease all;
    display: inline-block;
    cursor: pointer;
    opacity: 0.7;
}

.contact-heading:hover {
    opacity: 1;
}

.contact {
    display: flex;
    margin-top: 2rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: .5rem;
}

.contact-handle {
    font-size: 1.1rem;

}

.contact-handle a {
    text-decoration: none;
    font-weight: 600;
    color: #222;
}

@media (min-width: 650px) and (max-width: 1060px) {
    .portfolio-header {
        display: flex;
        flex-direction: column;
    }

    .portfolio-hero {
        margin: 3rem;
        padding: 0rem;

    }

    .portfolio-projects {
        height: max-content;
    }

    .projects {
        grid-template-columns: repeat(auto-fill, minmax(20rem, 1fr));
    }

    .experience-list {
        padding: 1rem 0 1rem 3rem;

    }

    .experience-card {
        width: 25rem;
    }

}

@media only screen and (max-width: 650px) {

    .portfolio-header {
        flex-direction: column;
        padding: .5rem 1rem;
    }
    
    .logo {
        font-size: 2rem;
    }

    .portfolio-hero {
        flex-direction: column-reverse;
        height: 100vh;
        margin-top: 9rem;
    }

    .hero {
        width: 100%;
    }

    .hero-detail {
        font-size: 1.3rem;
    }

    .detail-main span {
        display: block;
        font-size: 5rem;
        font-family: "Changa One", sans-serif;

    }

    .hero-detail p {
        font-size: 1rem;
    }


    .experience-heading {
        font-size: 3rem;
    }

    .project-heading {
        font-size: 3rem;
    }

    .contact-heading {
        font-size: 3rem;
    }

    .portfolio-projects {
        height: max-content;
    }

    .experience-list {
        padding: 1rem 0 1rem 3rem;

    }


    .portfolio-contact {
        height: 25vh;
    }
}